Page MenuHomePhabricator

New Pages Feed: testing environments (1.4)
Closed, ResolvedPublic5 Story Points

Description

Before releasing the work in T195545, T195924, T196181 to English Wikipedia, we will need to test the functionality described in those tasks to make sure it works as expected, particularly (but not limited to):

  • All drafts are in fact being shown, including the legacy drafts that were created before the functionality existed.
  • The drafts are correctly filtered by their various states.
  • The sorting by submission and declined dates work as expected.
  • The reviewing experience for New Pages Patrol has not changed.

We would like to test this on real drafts from English Wikipedia.

Event Timeline

MMiller_WMF updated the task description. (Show Details)Jun 5 2018, 11:18 PM
Niharika set the point value for this task to 5.Jun 5 2018, 11:48 PM

@MusikAnimal @Samwilson -- in a standup today, we discussed that it will help us test to add these things to CommTech wiki:

  • AFC templates
  • AFCH script

@Niharika Any idea how to get rid of the SyntaxHighlight_GeSHi extension on CommTechWiki? It is causing problems, I can't import anything or manually create modules. I don't see the extension being loaded in any of the LocalSettings.php's. Can we just rm -rf the directory?

Let me get rid of it. It needs to be taken out of LocalSettings. Removing the directory directly will cause you more grief.
I'm on it.

Let me get rid of it. It needs to be taken out of LocalSettings. Removing the directory directly will cause you more grief.
I'm on it.

Duh, I didn't read your comment fully. It's not in LocalSettings indeed. It's in settings.d/puppet-managed. I am not sure how it landed there.
I renamed the directory for now (instead of rm -rf). Can you import stuff now?

Yay! I think I figured it out -- What you did made the SyntaxHighlight errors go away, but Scribunto (the Module extension) was still looking for it because $wgScribuntoUseGeSHi was set to true. I found that in settings.d/puppet-managed/10-Scribunto.php. Turned that flag off and now I can create modules!

That "puppet-managed" directory makes me think we shouldn't be editing those files directly. I'm guessing vagrant manages them, and we're supposed to do it a different way? I should probably read the docs... But anyhoo all is well for now! Thanks :)

MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Yeah, those files are managed by puppet and will probably get over-written at some point. Let's hope it holds up while we're testing pagetriage on there.

β€’ Vvjjkkii renamed this task from New Pages Feed: testing the addition of tasks (1.4) to gkbaaaaaaa.Jul 1 2018, 1:06 AM
β€’ Vvjjkkii removed MusikAnimal as the assignee of this task.
β€’ Vvjjkkii triaged this task as High priority.
β€’ Vvjjkkii updated the task description. (Show Details)
β€’ Vvjjkkii removed the point value for this task.
β€’ Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gkbaaaaaaa to New Pages Feed: testing the addition of tasks (1.4).Jul 1 2018, 8:02 PM
CommunityTechBot assigned this task to MusikAnimal.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 5.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

The AFCH gadget is now working on testwiki. You'll need to turn it on in your preferences (look for "Yet another AFC Helper Script").

However it looks like update.php was not ran on testwiki. I don't see the afc_state tag in pagetriage_tags. @Niharika perhaps you'd be willing to do the honours? Or tell me where to go and I'll run it :)

This comment was removed by MusikAnimal.

However it looks like update.php was not ran on testwiki

As discussed on IRC, we'll get the new tag added tomorrow after the code is deployed.

MusikAnimal added a comment.EditedJul 13 2018, 3:03 AM

@MMiller_WMF The AFCH script now works on beta enwiki. I also re-imported the AFC templates, so it should very closely resemble production.

MMiller_WMF renamed this task from New Pages Feed: testing the addition of tasks (1.4) to New Pages Feed: testing environments (1.4).Jul 13 2018, 5:58 PM
MMiller_WMF moved this task from In Development to QA on the Community-Tech-Sprint board.
MMiller_WMF added a subscriber: Etonkovidova.

Thanks, @MusikAnimal.

@Etonkovidova -- this is the task that we made to make sure we're setting up our testing environments correctly. Now that we have the AFCH gadget in Beta and we have the Article Wizard in Test, we think that both environments have everything. I'm moving this to your column so you can verify that the environments are set up right and comment if not.

@MMiller_WMF @Etonkovidova Is this task ready to be closed?

@Niharika yes, betalabs and testwiki are working for testing as expected per specs in this ticket. The task can be closed.

Niharika closed this task as Resolved.Aug 15 2018, 11:38 PM
Niharika moved this task from QA to Q1 2018-19 on the Community-Tech-Sprint board.